<?php
/**
 * PeachPay Admin settings primary navigation HTML view.
 *
 * @var array $bread_crumbs The array of breadcrumbs passed to the breadcrumb view.
 *
 * @package PeachPay
 */

// PHPCS:ignore
$current_tab = isset( $_GET['tab'] ) ? sanitize_text_field( wp_unslash( $_GET['tab'] ) ) : 'payment';

defined( 'PEACHPAY_ABSPATH' ) || exit;

require_once PEACHPAY_ABSPATH . 'core/admin/views/utilities.php';

?>
<div id="peachpay-nav" class="col">
	<div class='peachpay-header'>
		<div class="peachpay-heading">
			<div class="left">
				<?php require PeachPay::get_plugin_path() . '/core/admin/views/html-bread-crumbs.php'; ?>
				<a class="peachpay-logo" href="<?php Peachpay_Admin::admin_settings_url(); ?>"></a>
			</div>
			<div class="misc-link-group">
				<?php peachpay_generate_misc_link( 'https://help.peachpay.app', 'docs-icon', 'Docs' ); ?>
				<?php peachpay_generate_misc_link( '#', 'support-icon', 'Support' ); ?>
				<?php peachpay_generate_misc_link( PeachPay_Admin::admin_settings_url( 'peachpay_analytics', '', '', '', false ), 'analytics-icon', 'Analytics' ); ?>
			</div>
		</div>
		<nav class="nav-tab-wrapper woo-nav-tab-wrapper">
			<?php peachpay_generate_nav_tab( 'payment', null, 'Payments', $current_tab ); ?>
			<?php peachpay_generate_nav_tab( 'currency', null, 'Currency', $current_tab ); ?>
			<?php peachpay_generate_nav_tab( 'field', 'billing', 'Field editor', $current_tab ); ?>
			<?php peachpay_generate_nav_tab( 'related_products', null, 'Recommended products', $current_tab ); ?>
			<?php peachpay_generate_nav_tab( 'express_checkout', 'branding', 'Express checkout', $current_tab ); ?>
		</nav>
	</div>
</div>
<?php
